network/cherokee: Added to 12.2 repository

This commit is contained in:
Pablo Hernan Saro 2010-05-12 23:31:59 +02:00 committed by David Somero
parent 499835eba5
commit 38bec74075
7 changed files with 251 additions and 0 deletions

8
network/cherokee/README Normal file
View file

@ -0,0 +1,8 @@
Cherokee is a very fast, flexible and easy to configure Web Server
written by Alvaro Lopez Ortega <alvaro@alobbs.com>.
It supports the widespread technologies nowadays: FastCGI, SCGI,
PHP, CGI, SSI, TLS and SSL encrypted connections, Virtual hosts,
Authentication, on the fly encoding, Load Balancing, Apache
compatible log files, Data Base Balancing, Reverse HTTP Proxy,
Traffic Shaper, Video Streaming and much more.

View file

@ -0,0 +1,11 @@
A user friendly interface called cherokee-admin is provided for a
no-hassle configuration of the server.
If you are installing a high load http server, you will probably need
a zero-downtime process of log rotation. To achieve this, I strongly
recommend you to take a look to this cookbook:
* http://www.cherokee-project.com/doc/cookbook_managing_logs.html
If need to get popular web applications working or fine tune your
server, follow the cherokee's cookbooks page:
* http://www.cherokee-project.com/doc/cookbook.html

View file

@ -0,0 +1,89 @@
#!/bin/sh
# Slackware build script for cherokee
# Written by Pablo Hernan Saro (pablosaro@gmail.com)
PRGNAM=cherokee
VERSION=${VERSION:-0.99.15}
ARCH=${ARCH:-i686}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
fi
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--with-mysql \
--with-wwwroot=/var/www \
--disable-ipv6
make
make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
AUTHORS COPYING ChangeLog INSTALL NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
install -D -m 0755 $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM.new
mv $PKG/etc/cherokee/cherokee.conf $PKG/etc/cherokee/cherokee.conf.new
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz

View file

@ -0,0 +1,8 @@
PRGNAM="cherokee"
VERSION="0.99.15"
HOMEPAGE="http://www.cherokee-project.com"
DOWNLOAD="http://www.cherokee-project.com/download/0.99/0.99.15/cherokee-0.99.15.tar.gz"
MD5SUM="7be68913909ec46b8862e3a6ebe1b547"
MAINTAINER="Pablo Hernan Saro"
EMAIL="pablosaro@gmail.com"
APPROVED="dsomero"

View file

@ -0,0 +1,18 @@
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
rm $NEW
fi
}
if [ -e etc/rc.d/rc.cherokee ]; then
cp -a etc/rc.d/rc.cherokee etc/rc.d/rc.cherokee.new.incoming
cat etc/rc.d/rc.cherokee.new > etc/rc.d/rc.cherokee.new.incoming
mv etc/rc.d/rc.cherokee.new.incoming etc/rc.d/rc.cherokee.new
fi
config etc/rc.d/rc.cherokee.new
config etc/cherokee/cherokee.conf.new

View file

@ -0,0 +1,97 @@
#!/bin/sh
#
# Start the Cherokee Web Server.
# http://www.cherokee-project.com/
#
# The following signals are supported by Cherokee:
# SIGHUP Restarts the server gracefully
# SIGUSR1 Restarts the server closing all the opened connections
# SIGUSR2 Reopens the log files
# SIGTERM Exits
#
# Written by Pablo Hernan Saro (pablosaro@gmail.com)
NAME=cherokee
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/lib/cherokee
DAEMON=/usr/sbin/cherokee
PIDFILE=/var/run/cherokee.pid
CONF=/etc/cherokee/cherokee.conf
export PATH
test -f $DAEMON || exit 0
case "$1" in
start)
echo "Starting $NAME web server..."
$DAEMON -C $CONF &
sleep 2
echo -n "done"
;;
stop)
echo "Stopping $NAME web server..."
if [ -f $PIDFILE ]; then
PID=`cat $PIDFILE`
kill -s TERM $PID
sleep 4
echo -n "done"
else
echo -n "Error: $PIDFILE does not exist."
fi
;;
reload)
echo "Reloading $NAME configuration"
if [ -f $PIDFILE ]; then
PID=`cat $PIDFILE`
kill -s HUP $PID
sleep 3
echo -n "done"
else
echo -n "Error: $PIDFILE does not exist."
fi
;;
rotate-logs)
echo "Rotating logs"
if [ -f $PIDFILE ]; then
PID=`cat $PIDFILE`
kill -s USR2 $PID
sleep 3
echo -n "done"
else
echo -n "Error: $PIDFILE does not exist."
fi
;;
restart)
echo "Restarting the server closing all the opened connections"
if [ -f $PIDFILE ]; then
PID=`cat $PIDFILE`
kill -s USR1 $PID
sleep 4
echo -n "done"
else
echo -n "Error: $PIDFILE does not exist."
fi
;;
force-restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|reload|rotate-logs|restart|force-restart}"
exit 1
;;
esac
if [ $? == 0 ]; then
echo .
exit 0
else
echo failed
exit 1
fi

View file

@ -0,0 +1,20 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
cherokee: Cherokee (The Fastest free Web Server out there!)
cherokee:
cherokee: Cherokee is a very fast, flexible and easy to configure Web Server
cherokee: written by Alvaro Lopez Ortega <alvaro@alobbs.com>.
cherokee: It supports the widespread technologies nowadays: FastCGI, SCGI,
cherokee: PHP, CGI, SSI, TLS and SSL encrypted connections, Virtual hosts,
cherokee: Authentication, on the fly encoding, Load Balancing, Apache
cherokee: compatible log files, Data Base Balancing, Reverse HTTP Proxy,
cherokee: Traffic Shaper, Video Streaming and much more.
cherokee:
cherokee: Homepage: http://www.cherokee-project.com/